### Method

# WebKitWebProcessExtension WebProcessExtension get_page

since: 2.40

#### Declaration [src]

    WebKitWebPage*
    webkit_web_process_extension_get_page (
      WebKitWebProcessExtension* extension,
      guint64 page_id
    )

#### Description [src]

Get the web page of the given `page_id`.

Available since: 2.40

#### Parameters

`page_id`

  Type: `guint64`

  The identifier of the `WebKitWebPage` to get.

#### Return value

Type: `WebKitWebPage`

The `WebKitWebPage` for the given `page_id`, or `NULL` if the identifier doesn’t correspond to an existing web page.

The returned data is owned by the instance.